• 快科技
  • 中文科技资讯专业发布平台
美国网件79款路由器惊现大量安全漏洞:可被劫持
2020-07-13 15:09:40  出处:Techweb  作者:JayJay 编辑:上方文Q   点击可以复制本篇文章的标题和链接

美国网件(NETGEAR)为全球商用企业用户和家庭个人用户提供创新的产品、优质的智能家庭无线解决方案。 产品行销全球20余年,专注无线,坚守初心,推出无数时代先锋型的杰作,在欧美乃至亚太地区拥有令人瞩目的市场份额和消费者口碑。

然而根据7月份安全漏洞调查显示,NETGEAR多达79款路由器存在大量安全漏洞。以下是漏洞详情:

httpd服务漏洞

该漏洞存在于Netgear路由器的httpd服务中,问题出在把用户输入的资料复制到仅能容纳固定长度的缓冲区前,未能正确验证资料长度,造成缓冲区溢出,而让黑客得以执行任意程序,从而接管设备。

早在今年1月,安全研究人员发现有79款的Netgear路由器都含有同一个允许黑客执行任意程序的安全漏洞并上报给Netgear。然而,更令人惊讶的是Netgear截至6月15日才发布安全更新,修复此问题。具体受影响的设备和固件,可参见github网址:https://github.com/grimm-co/NotQuite0DayFriday/blob/master/2020.06.15-netgear/exploit.py

除了官方安全更新,用户也可通过防火墙或白名单功能,规定只有受信赖的设备才能访问httpd服务来缓解。

超危漏洞PSV-2019-0076

该漏洞影响运行1.0.2.68之前版本固件的旗舰路由器Netgear Wireless AC Router Nighthawk(R7800),未经身份认证的攻击者可利用该漏洞控制路由器。

事实上,该漏洞自2016年就已存在,直到现在,Netgear没有提供关于该漏洞的更多详情,只是敦促消费者尽快访问其在线支持页面下载漏洞补丁。

此外,Netgear R7800 作为Netgear 2016年年初发布的一款四天线年度超高性能旗舰级路由器,年度品牌热销榜第7名。需要注意的是,运行过时的固件,Netgear R7800 也不再安全,强烈建议尽快更新固件,来增强安全性。

高危命令注入漏洞PSV-2018-0352

PSV-2018-0352漏洞影响运行1.0.2.60之前版本固件的Nighthawk(R7800)旗舰路由器,以及Netgear D6000,R6000,R7000,R8000,R9000和XR500系列的29款路由器中。

高危命令注入漏洞PSV-2019-0051

该漏洞主要影响运行过时固件R6400,R6700,R6900和R7900系列的5款路由器,升级最新固件可修复。

管理凭据漏洞CVE-2017-18844

NETGEAR R6700v2 1.1.0.38之前版本、R6800 1.1.0.38之前版本和D7000 1.0.1.50之前版本中存在安全漏洞。攻击者可利用该漏洞获取管理凭证。

不容忽视的型号是Netgear R6800,其固件中嵌入了多达13个硬编码的私有安全密钥。私钥是管理Internet安全性机制的关键部分,路由器将使用私钥来发起安全传输并验证固件更新。但是如果可以在路由器的固件中找到密钥,这意味着任何攻击者都可以冒充该设备并进行间接攻击,这些密钥与相同型号的所有设备共享,在固件中发布的一个私钥会使成千上万的设备处于危险之中。

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:https://kb.netgear.com/000049015/Security-Advisory-for-an-Admin-Credential-Disclosure-on-Some-Routers-PSV-2017-2149

TLS证书泄露漏洞PSV-2020-0105

该漏洞导致路由器上的TLS证书私钥被暴露给公众。这些私钥可用于拦截和篡改安全连接(间接攻击),从本质上讲,任何受感染的路由器都可以被劫持。此外,这些密钥可以从Netgear的支持网站上下载,竟然无需任何身份验证措施即可下载。

受影响的型号包括R8900,R9000,RAX120和XR700无线路由器。NETGEAR已发布针对受影响产品型号的固件修补程序,同时强烈建议尽快下载最新固件修补程序来保证安全。

美国网件79款路由器惊现大量安全漏洞:可被劫持

文章价值打分
当前文章打分0 分,共有0人打分
文章观点支持

+0
+0

快科技客户端

扫描安装快科技APP

驱动之家微信公众号

扫描关注驱动之家